function figure1=plotpv(X1, YMatrix1,v,fnr,sigma,sigmaSE,maxp32,tslipp,vslipp)
%  X1:  vector of x data
%  YMATRIX1:  matrix of y data

%  Auto-generated by MATLAB on 12-May-2012 21:58:24


% Create figure
figure1 = figure;

% Create axes
axes1 = axes('Parent',figure1,...
    'XTick',[0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15],...
    'xlim',[0 15],'ylim',[-0.01 0.25],...
    'YMinorTick','on',...
    'XMinorTick','on');

    ylabel({'Pressure difference [mWC]'});

box(axes1,'on');
hold(axes1,'all');

axes2 = axes('Parent',figure1,'Position',get(axes1,'Position'),...
           'XAxisLocation','bottom',...
           'YAxisLocation','right',...
           'Color','none',...
           'XColor','k','YColor','k',...
           'XTick',[0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15],...
           'xlim',[0 15],...
           'ylim',[-0.01 0.25],...
           'YMinorTick','on',...
           'XMinorTick','on');
       
     xlabel({'t [s]'});
     ylabel({'Channel velocity [m/s]'});

% Create multiple lines using matrix input to plot
plot1 = plot(X1,YMatrix1,'Parent',axes1);
set(plot1(1),'Marker','x','MarkerSize',3,'LineStyle','none','DisplayName','Data point','Color',[0 0 0]);
set(plot1(2),'MarkerSize',1,'LineWidth',2,'Color',[1 0 0],...
    'DisplayName','Pressure difference [mWC]');

line1 = line(X1,v,'Color','k','Parent',axes1);
set(line1(1),'LineStyle','--','LineWidth',2,'DisplayName','Channel velocity [m/s]');


% Create legend
legend1 = legend(axes1,'show');
set(legend1,...
    'Location','NorthWest');

hold all



         %Plot lines showing time of release
x=[tslipp,tslipp,15];
y=[maxp32,vslipp,vslipp];
h=plot(x,y);
set(h,'LineStyle',':','LineWidth',2,'Color',[0 0 0]);




%Create textbox 1, info
annotation(figure1,'textbox',[0.15 0.5,0.4,0.25],...
    'String',{'Test number','Mean adhesion','70% pred.int.','','Max \Deltap','t release','v release'},...
    'FitBoxToText','off','LineStyle','none');

%Create textbox 2, data
annotation(figure1,'textbox',[0.34 0.5,0.4,0.25],...
    'String',{...
    sprintf('%-5.1g',fnr),...
    sprintf('%-5.3g',sigma),...
   sprintf('%-5.2g',sigmaSE),... 
   ''...
   sprintf('%-5.3f',maxp32),...
   sprintf('%-5.1f',tslipp),...
   sprintf('%-5.3f',vslipp)},...
    'FitBoxToText','off','LineStyle','none')

%Create textbox 3, units
annotation(figure1,'textbox',[0.41 0.5,0.4,0.25],...
    'String',{'','[mWC]','[mWC]','','[mWC]','[s]','[m/s]'},...
    'FitBoxToText','off','LineStyle','none');

%Create textbox 4, border
annotation(figure1,'textbox',[0.146 0.45,0.36,0.3],...
    'String',{''},'FitBoxToText','off','LineWidth',1);




